datablock TSShapeConstructor(BearcatDTS)
{
	baseShape  = "./shapes/bearcat.dts";
	sequence0  = "./shapes/steering.dsq steering";
	sequence1  = "./shapes/lights.dsq root";
	sequence2  = "./shapes/lights.dsq lights";
};

datablock WheeledVehicleData(BearcatPoliceVehicle)
{
	ES_Enabled = true;
	ES_AudioSlot = 3;
	ES_SoundDB = nameToID(Bearcat_EngineLoop);
	ES_StartPitch = 0;
	ES_VelocityScalar = 40;
	ES_GearCount = 5;
	ES_GearPitchDelay = 0.5;
	ES_gearShiftDelay = 0.3; // SECONDS
	ES_GearSpeeds = "0 15 25 35 40";
	ES_gearPitches = "0.4 1.1 0.7 1.1 0.7 1.1 0.7 1.1 0.7 1.1";
	ES_maxPitch = 2.9;
	ES_EngineStopSound = BearcatEngineStop;
	ES_EngineStartSound = BearcatEngineStart;
	ES_EngineStartDelay = 480;
   isCustom=1;
   type="BearcatPolice";
	category = "Vehicles";
	uiName = "TxDPS - Bearcat";

	displayName = "";
	shapeFile = "./shapes/bearcat.dts";
	emap = true;
	minMountDist = 3;
	
	handsOnVehicle = 1;
	hasScriptedHeadlights = 1;
	hasTurnSignals = 1;
	usesVehicleEditHelper = 0;

	massCenter = "0 0.1 0.4";

	engineTorque = 3700;
	engineBrake = 900;
	brakeTorque = 3800;
	maxWheelSpeed = 60;

	rollForce = 0;
	yawForce = 0;
	pitchForce = 0;
	rotationalDrag = 1;

	rideable = true;
	lookUpLimit = 0.6;
	lookDownLimit = 0.5;
 
	numMountPoints = 8;
	mountThread[0] = "sit";
	mountThread[1] = "sit";
	mountThread[2] = "sit";
	mountThread[3] = "sit";
	mountThread[4] = "root";
	mountThread[5] = "root";
	mountThread[6] = "root";
	mountThread[7] = "root";

	paintable = true;

	maxDamage = 5000.00;
	destroyedLevel = 6000.00;
	speedDamageScale = 1.04;
	collDamageThresholdVel = 20.0;
	collDamageMultiplier   = 0.02;

	maxSteeringAngle = 0.83;
	integration = 4;
	//tireEmitter = none;

	cameraRoll = false;
	cameraMaxDist = 12;
	cameraOffset = 6.5;
	cameraTilt = 0.35;

	cameraLag = 0.0;
	cameraDecay = 0.75;
	collisionTol = 0.1;
	contactTol = 0.1;

	useEyePoint = false;	

	defaultTire = BearcatTire;
	defaultSpring = BearcatSpring;

	numWheels = 4;

	mass = 800;
	density = 5.0;
	drag = 1.6;
	bodyFriction = 0.6;
	bodyRestitution = 0.6;
	minImpactSpeed = 10;
	softImpactSpeed = 10;
	hardImpactSpeed = 15;
	groundImpactMinSpeed = 10.0;

	steeringAutoReturn = true;
	steeringAutoReturnRate = 0.05;
	steeringAutoReturnMaxSpeed = 0.1;
	steeringUseStrafeSteering = true;
	steeringStrafeSteeringRate = 0.05;

	splash = vehicleSplash;
	splashVelocity = 4.0;
	splashAngle = 67.0;
	splashFreqMod = 300.0;
	splashVelEpsilon = 0.60;
	bubbleEmitTime = 1.4;
	splashEmitter[0] = vehicleFoamDropletsEmitter;
	splashEmitter[1] = vehicleFoamEmitter;
	splashEmitter[2] = vehicleBubbleEmitter;
	mediumSplashSoundVelocity = 10.0;   
	hardSplashSoundVelocity = 20.0;   
	exitSplashSoundVelocity = 5.0;
		
	softImpactSound = slowImpactSound;
	hardImpactSound = fastImpactSound;
   

	damageEmitter[0] = VehicleBurnEmitter;
	damageEmitterOffset[0] = "0.0 0.0 0.0 ";
	damageLevelTolerance[0] = 0.99;

	damageEmitter[1] = VehicleBurnEmitter;
	damageEmitterOffset[1] = "0.0 0.0 0.0 ";
	damageLevelTolerance[1] = 1.0;

	numDmgEmitterAreas = 1;


	initialExplosionProjectile = vehicleExplosionProjectile;
	initialExplosionOffset = 0;

	burnTime = 4000;

	finalExplosionProjectile = vehicleFinalExplosionProjectile;
	finalExplosionOffset = 0.5;



	minRunOverSpeed    = 4;
	runOverDamageScale = 8;
	runOverPushScale   = 1.2;

	protectPassengersBurn   = false;
	protectPassengersRadius = true;
	protectPassengersDirect = false;
};
Garage_AddParts("add-ons/Vehicle_Bearcat/BearcatPolice.txt");